#
# spec file for package python-notify2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-notify2
Version:        0.3.1
Release:        2.6
Summary:        Python interface to DBus notifications
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/notify2/
Source:         https://pypi.io/packages/source/n/notify2/notify2-%{version}.tar.gz
%if 0%{suse_version} <= 1315
BuildRequires:  dbus-1-python
BuildRequires:  dbus-1-python3
%else
BuildRequires:  %{python_module dbus-python}
%endif
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%ifpython3
Requires:       dbus-1-python3
%else
Requires:       dbus-1-python
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
This is a pure-python replacement for notify-python, using python-dbus
to communicate with the notifications server directly. It's compatible
with Python 2 and 3, and its callbacks can work with Gtk 3 or Qt 4
applications.

%prep
%setup -q -n notify2-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}/%{_prefix}

%files %python_files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/*

%changelog
* Sun Jul  2 2017 antoine.belvire@opensuse.org
- Fix build for Leap 42.3, which does not have a singlespec version
  of python-dbus (boo#1046811).
* Sat May  6 2017 antoine.belvire@opensuse.org
- Update to version 0.3.1:
  * Wrap notifications_registry lookup in try block not to show
    irrelevant errors.
  * Add LICENSE file.
- Convert to singlespec.
- Fix license.
* Wed Dec 28 2016 tbechtold@suse.com
- Use pypi.io as Source url
* Fri Feb 12 2016 olaf@aepfle.de
- Avoid BuildArch noarch in SLE_11 to fix build
* Thu Jul 30 2015 antoine.belvire@laposte.net
- Initial package (v0.3).
